from django.shortcuts import render, redirect
from django.http import JsonResponse
from django.conf import settings
import time
import os
import rust_crud_api # Custom Rust Pyo3 Library 🦀

def init_db_view(request):
    db_url = os.environ.get("DATABASE_URL")
    try:
        rust_crud_api.init_db(db_url)
        return JsonResponse({"message": "Database initialized"})
    except Exception as e:
        return JsonResponse({"error": str(e)}, status=500)
